name: jira-description-action
on:
  pull_request_target:
    types: [opened, labeled]
jobs:
  add-jira-description:
    runs-on: ubuntu-latest
    steps:
      - uses: project-sunbird/jira-description-action@v0.4.0
        name: jira-description-action
        with:
          github-token: ${{ secrets.GITHUB_TOKEN }}
          jira-token: ${{ secrets.JIRA_TOKEN }}
          jira-base-url: ${{ secrets.JIRA_BASE_URL }}
          fail-when-jira-issue-not-found: ${{ secrets.FAIL_WHEN_JIRA_ISSUE_NOT_FOUND }}
          use: both